=== modified file 'drizzled/sql_base.cc'
--- drizzled/sql_base.cc	2008-12-15 18:33:47 +0000
+++ drizzled/sql_base.cc	2008-12-15 22:23:14 +0000
@@ -2412,7 +2412,7 @@
     }
 
     /* make a new table */
-    if (!(table=(Table*) malloc(sizeof(*table))))
+    if ((table= new Table) == NULL)
     {
       pthread_mutex_unlock(&LOCK_open);
       return(NULL);
@@ -2422,7 +2422,7 @@
     /* Combine the follow two */
     if (error > 0)
     {
-      free((unsigned char*)table);
+      delete table;
       pthread_mutex_unlock(&LOCK_open);
       return(NULL);
     }
@@ -3756,7 +3756,7 @@
 
   if (!(tmp_table= (Table*) malloc(sizeof(*tmp_table) + sizeof(*share) +
                                    path_length + 1 + key_length)))
-    return(0);
+    return NULL;
 
   share= (TABLE_SHARE*) (tmp_table+1);
   tmp_path= (char*) (share+1);

=== modified file 'drizzled/sql_delete.cc'
--- drizzled/sql_delete.cc	2008-12-10 07:43:50 +0000
+++ drizzled/sql_delete.cc	2008-12-15 22:23:14 +0000
@@ -201,7 +201,7 @@
 
     if (usable_index == MAX_KEY)
     {
-      table->sort.io_cache= (IO_CACHE *) malloc(sizeof(IO_CACHE));
+      table->sort.io_cache= new IO_CACHE;
       memset(table->sort.io_cache, 0, sizeof(IO_CACHE));
 
 

=== modified file 'drizzled/sql_select.cc'
--- drizzled/sql_select.cc	2008-12-15 07:27:18 +0000
+++ drizzled/sql_select.cc	2008-12-15 22:23:14 +0000
@@ -13350,7 +13350,7 @@
         make_unireg_sortorder(order, &length, join->sortorder)))
     goto err;				/* purecov: inspected */
 
-  table->sort.io_cache=(IO_CACHE*) malloc(sizeof(IO_CACHE));
+  table->sort.io_cache= new IO_CACHE;
   memset(table->sort.io_cache, 0, sizeof(IO_CACHE));
   table->status=0;				// May be wrong if quick_select
 
@@ -13837,13 +13837,13 @@
 
   cache->length=length+blobs*sizeof(char*);
   cache->blobs=blobs;
-  *blob_ptr=0;					/* End sequentel */
-  size=cmax(session->variables.join_buff_size, (uint32_t)cache->length);
+  *blob_ptr= NULL;					/* End sequentel */
+  size= cmax(session->variables.join_buff_size, (uint32_t)cache->length);
   if (!(cache->buff=(unsigned char*) malloc(size)))
-    return(1);				/* Don't use cache */ /* purecov: inspected */
+    return 1;				/* Don't use cache */ /* purecov: inspected */
   cache->end=cache->buff+size;
   reset_cache_write(cache);
-  return(0);
+  return 0;
 }
 
 

=== modified file 'drizzled/sql_table.cc'
--- drizzled/sql_table.cc	2008-12-15 07:35:25 +0000
+++ drizzled/sql_table.cc	2008-12-15 22:23:14 +0000
@@ -5204,7 +5204,7 @@
     }
     else
     {
-      from->sort.io_cache=(IO_CACHE*) malloc(sizeof(IO_CACHE));
+      from->sort.io_cache= new IO_CACHE;
       memset(from->sort.io_cache, 0, sizeof(IO_CACHE));
 
       memset(&tables, 0, sizeof(tables));

=== modified file 'drizzled/sql_update.cc'
--- drizzled/sql_update.cc	2008-12-07 01:52:46 +0000
+++ drizzled/sql_update.cc	2008-12-15 22:23:14 +0000
@@ -337,7 +337,7 @@
       SORT_FIELD  *sortorder;
       ha_rows examined_rows;
 
-      table->sort.io_cache = (IO_CACHE *) malloc(sizeof(IO_CACHE));
+      table->sort.io_cache = new IO_CACHE;
       memset(table->sort.io_cache, 0, sizeof(IO_CACHE));
 
       if (!(sortorder=make_unireg_sortorder(order, &length, NULL)) ||

=== modified file 'drizzled/uniques.cc'
--- drizzled/uniques.cc	2008-12-05 07:20:46 +0000
+++ drizzled/uniques.cc	2008-12-15 22:23:14 +0000
@@ -610,12 +610,12 @@
   bool error=1;
 
       /* Open cached file if it isn't open */
-  outfile=table->sort.io_cache=(IO_CACHE*) malloc(sizeof(IO_CACHE));
+  outfile=table->sort.io_cache= new IO_CACHE;
   memset(outfile, 0, sizeof(IO_CACHE));
 
   if (!outfile || (! my_b_inited(outfile) && open_cached_file(outfile,drizzle_tmpdir,TEMP_PREFIX,READ_RECORD_BUFFER, MYF(MY_WME))))
     return 1;
-  reinit_io_cache(outfile,WRITE_CACHE,0L,0,0);
+  reinit_io_cache(outfile, WRITE_CACHE, 0L, 0, 0);
 
   memset(&sort_param, 0, sizeof(sort_param));
   sort_param.max_rows= elements;

